Subject: Re: [PATCH v6 0/5] Microchip TCB Capture driver

From: Jonathan Cameron <[email-masked]>
Date: Mon, 20 Jul 2020 14:38:51 +0100

On Wed, 15 Jul 2020 23:30:03 +0200
Alexandre Belloni <[email-masked]> wrote:

> Hi Jonathan,
> 
> On 12/07/2020 14:35:34+0100, Jonathan Cameron wrote:
> > On Mon,  6 Jul 2020 13:43:42 +0200
> > Kamel Bouhara <[email-masked]> wrote:
> >   
> > > Hello,
> > > 
> > > Here is a new counter driver to support Microchip TCB capture devices.
> > > 
> > > Each SoC has two TCB blocks, each one including three independent
> > > channels.The following series adds support for two counter modes:
> > > increase and quadrature decoder.
> > > 
> > > As for the atmel clocksource and pwm, the counter driver needs to fill
> > > some tcb capabilities in order to operate with the right configuration.
> > > This is achieved in first patch of this series.
> > > 
> > > Please feel free to comment.  
> > 
> > As far as I can see we have all the necessary acks etc and it looks
> > good to me as well.
> > 
> > Shall I do an immutable branch with the whole lot or should we split it
> > up?  Patches 1 and 5 need to go through the same tree, but bindings
> > could go via another route.  I'm also fine if the whole lot goes
> > via the appropriate soc tree if that is easier.
> >   
> 
> I think the best would be an immutable branch as I have another series
> that depends on the three preliminary patches that should go through the
> clocksource/tip tree this cycle:
> 
> https://lore.kernel.org/linux-arm-kernel/[email-masked]/
I've pushed applied the patches to an immutable branch
https://git.kernel.org/pub/scm/linux/kernel/git/jic23/iio.git/log/?h=ib-5.8-tcb
and merged that into the togreg branch of iio.git which is pushed out as testing or
the autobuilders to play with it.

Thanks,

Jonathan

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel